com.google.gwt.core.ext.typeinfo

## Class JniConstants

- java.lang.Object
- - com.google.gwt.core.ext.typeinfo.JniConstants

    public class JniConstants
    extends java.lang.Object

Constants used with JNI type descriptors.

### Field Summary

Fields
`static char` `DESC_ARRAY`
`static char` `DESC_BOOLEAN`
`static char` `DESC_BYTE`
`static char` `DESC_CHAR`
`static char` `DESC_DOUBLE`
`static char` `DESC_FLOAT`
`static char` `DESC_INT`
`static char` `DESC_LONG`
`static char` `DESC_REF`
`static char` `DESC_REF_END`
`static char` `DESC_SHORT`
`static char` `DESC_VOID`

### Constructor Summary

Constructors
Constructor and Description
`JniConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DESC_ARRAY

    public static final char DESC_ARRAY

See Also:
  Constant Field Values

#### DESC_BOOLEAN

    public static final char DESC_BOOLEAN

See Also:
  Constant Field Values

#### DESC_BYTE

    public static final char DESC_BYTE

See Also:
  Constant Field Values

#### DESC_CHAR

    public static final char DESC_CHAR

See Also:
  Constant Field Values

#### DESC_DOUBLE

    public static final char DESC_DOUBLE

See Also:
  Constant Field Values

#### DESC_FLOAT

    public static final char DESC_FLOAT

See Also:
  Constant Field Values

#### DESC_INT

    public static final char DESC_INT

See Also:
  Constant Field Values

#### DESC_LONG

    public static final char DESC_LONG

See Also:
  Constant Field Values

#### DESC_REF

    public static final char DESC_REF

See Also:
  Constant Field Values

#### DESC_REF_END

    public static final char DESC_REF_END

See Also:
  Constant Field Values

#### DESC_SHORT

    public static final char DESC_SHORT

See Also:
  Constant Field Values

#### DESC_VOID

    public static final char DESC_VOID

See Also:
  Constant Field Values

### Constructor Detail

#### JniConstants

    public JniConstants()